Skip to main content
https://.thoughtindustries.com

BulkImportCourseWebinar

Returns a paginated list of bulk import course webinar logs

Returns a paginated list of bulk import course webinar logs.

GEThttps://example.thoughtindustries.com/incoming/v2/logs/bulkImportCourseWebinar

Example request

curl "https://example.thoughtindustries.com/incoming/v2/logs/bulkImportCourseWebinar" \
  -H 'Authorization: Bearer YOUR_API_KEY'

Parameters

NameTypeRequiredLocationDescription
typestringYesqueryThe log type to filter results by.
cursorISO 8601 timestampNoqueryISO 8601 timestamp used as a cursor to fetch the next page of results.
perPageintegerNoqueryNumber of log entries to return per page.

Example response

{
  "data": {
    "APICacheLogs": {
      "data": [
        {}
      ],
      "pageInfo": {
        "perPage": 0,
        "cursor": "string",
        "total": 0,
        "hasMore": true
      }
    }
  }
}

Response fields

FieldTypeDescription
dataobject[]Array of bulk import course webinar log entries.
pageInfoCursorPageInfoPagination metadata for the current result set.
pageInfo.perPageintegerNumber of log entries returned per page.
pageInfo.cursorstringCursor value to pass in the next request to retrieve the following page of results.
pageInfo.totalintegerTotal number of log entries matching the query.
pageInfo.hasMorebooleanIndicates whether additional pages of results are available.